Current (2025-04-01)Merchants API
Webhooks Management
Webhook configuration and management
Authorization
apiKey x-api-key<token>
Your Chargeflow API key, sent on every request. Generate one in the Chargeflow App, or see API keys.
In: header
Response Body
application/json
application/json
curl -X GET "https://example.com/public/2025-04-01/webhooks"{ "success": true, "data": [ { "id": "string", "event": "string", "url": "string" } ]}Authorization
apiKey x-api-key<token>
Your Chargeflow API key, sent on every request. Generate one in the Chargeflow App, or see API keys.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
eventstringRequired
The event type to listen for
Value in
- "webhook.test"
- "dispute.created"
- "evidence.ready"
- "evidence.error"
- "alerts.created"
- "alerts.updated"
- "alerts.transaction.linked"
- "*"
urlstringRequired
The URL to send the webhook to
Format
uriResponse Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/public/2025-04-01/webhooks" \ -H "Content-Type: application/json" \ -d '{ "event": "webhook.test", "url": "http://example.com" }'{ "success": true, "id": "string"}Authorization
apiKey x-api-key<token>
Your Chargeflow API key, sent on every request. Generate one in the Chargeflow App, or see API keys.
In: header
Path Parameters
idstringRequired
The Webhook id to delete
Response Body
application/json
application/json
application/json
curl -X DELETE "https://example.com/public/2025-04-01/webhooks/123e4567-e89b-12d3-a456-426614174000"{ "success": true}Was this page helpful?